<script setup lang="ts">
import { useOrderStore } from '../stores/order'
import orderDialog from '../components/orderDialog.vue'
import { onMounted } from 'vue'
import ReceiptDialog from '@/views/pos/components/ReceiptDialog.vue'
const orderStore = useOrderStore()

onMounted(async () => {
  await orderStore.getAll()
})
</script>

<template>
  <!-- <orderDialog /> -->
  <!-- <ReceiptDialog :model-value="orderStore.dialog" :receipt="orderStore.receiptItem"></ReceiptDialog> -->
  <v-data-table class="h-100" fixed-header :headers="orderStore.headers" :items="orderStore.items">
    <template #top>
      <v-card class="pa-5" color="#77625d">
        <v-row>
          <v-col>
            <h2>Receipt</h2>
          </v-col>
          <v-col cols="1">
            <v-icon size="large" class="me-2" @click="orderStore.openDialog()"
              >mdi-receipt-text-check
            </v-icon>
          </v-col>
          <v-col cols="2">
            <v-btn
              prepend-icon="mdi-printer"
              size="small"
              class="me-2"
              @click="orderStore.downloadPDF()"
              variant="flat"
              text="PDF"
            >
            </v-btn>
          </v-col>
        </v-row>
      </v-card>
    </template>

    <template #item="{ item }">
      <tr>
        <td>{{ item.id }}</td>
        <td>{{ item.totalUnit }}</td>
        <td>{{ item.totalBefore }}</td>
        <td>{{ item.discount }}</td>
        <td>{{ item.netPrice }}</td>
        <td>{{ item.receivedAmount }}</td>
        <td>{{ item.change }}</td>
        <td>{{ item.paymentType }}</td>
        <td>{{ item.givePoint }}</td>
        <td>{{ item.usePoint }}</td>
        <td>{{ item.totalPoint }}</td>
        <td>{{ item.createdDateTime }}</td>

        <!-- <td>
          <v-icon size="small" class="me-2" @click="orderStore.editItem(item)"> mdi-pencil </v-icon>
        </td> -->
      </tr>
    </template>
  </v-data-table>
</template>
